Bug 76491 - incorrect output with -fPIC, varargs
incorrect output with -fPIC, varargs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-22 09:43 EDT by Tim Waugh
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version: 3.2-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-05 12:17:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test.c (461 bytes, text/plain)
2002-10-22 09:43 EDT, Tim Waugh
no flags Details

  None (edit)
Description Tim Waugh 2002-10-22 09:43:04 EDT
Description of Problem:
On x86_64, code using varargs and compiled with -fPIC is not relocateable.

Version-Release number of selected component (if applicable):
gcc-3.2-10

How Reproducible:
100%

Steps to Reproduce:
1. gcc -fPIC -c -o test.o test.c
2. objdump -r test.o | grep 32S

Actual Results:
Output

Expected Results:
No output

Additional Information:
Test case attached.
Comment 1 Tim Waugh 2002-10-22 09:43:25 EDT
Created attachment 81544 [details]
test.c

Note You need to log in before you can comment on or make changes to this bug.